package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: CheckTaskStatusPageReq
 * @Description: 状态查看请求参数对象
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "状态查看列表分页查询请求参数对象", description = "状态查看请求参数对象")
public class CheckTaskStatusPageReq extends BasePageBean {
    /*
    * 项目ID
    * */
    @NotNull(message = "项目ID不能为空")
    @NotEmpty(message = "项目ID不能空")
    @ApiModelProperty(value = "项目ID")
    private String projectId;

    /*
     * 任务id
     * */
    @ApiModelProperty(value = "任务id")
    @NotNull(message = "任务id不能为空")
    @NotEmpty(message = "任务id不能为空")
    private String taskId;

    /*
     * 任务树名称
     * */
    @ApiModelProperty(value = "任务树名称")
    @NotEmpty(message = "任务树名称不能为空")
    private String treeName;


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }
}
